<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_objarray_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_objarray_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__vx__objarray.html">Object Array APIs</a>]</small>
</h1><!-- doxytag: class="tivx_objarray_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>object array internal state </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__objarray__t.html#af02ff69ad41aefa6d8aa5a342060ecde">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">reference object  <a href="#af02ff69ad41aefa6d8aa5a342060ecde"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__objarray__t.html#a50f3dbe80d76b6d766586c1772f58aa6">ref</a> [TIVX_OBJECT_ARRAY_MAX_ITEMS]</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">array of references to the objects  <a href="#a50f3dbe80d76b6d766586c1772f58aa6"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="af02ff69ad41aefa6d8aa5a342060ecde"></a><!-- doxytag: member="tivx_objarray_t::base" ref="af02ff69ad41aefa6d8aa5a342060ecde" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a> <a class="el" href="structtivx__objarray__t.html#af02ff69ad41aefa6d8aa5a342060ecde">tivx_objarray_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>reference object </p>

</div>
</div>
<a class="anchor" id="a50f3dbe80d76b6d766586c1772f58aa6"></a><!-- doxytag: member="tivx_objarray_t::ref" ref="a50f3dbe80d76b6d766586c1772f58aa6" args="[TIVX_OBJECT_ARRAY_MAX_ITEMS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1a95c3bf180e49d4d1ecd64cb35f45a3">vx_reference</a> <a class="el" href="structtivx__objarray__t.html#a50f3dbe80d76b6d766586c1772f58aa6">tivx_objarray_t::ref</a>[TIVX_OBJECT_ARRAY_MAX_ITEMS]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array of references to the objects </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
